apiVersion: v1
kind: Node
metadata:
  annotations:
    alpha.kubernetes.io/provided-node-ip: 10.0.128.6
    cloud.network.openshift.io/egress-ipconfig: '[{"interface":"winbyoh-6kvlf-nic","ifaddr":{"ipv4":"10.0.128.0/17"},"capacity":{"ip":255}}]'
    k8s.ovn.org/hybrid-overlay-distributed-router-gateway-mac: 00-15-5D-F8-43-43
    k8s.ovn.org/hybrid-overlay-node-subnet: 10.132.1.0/24
    machine.openshift.io/machine: openshift-machine-api/winbyoh-6kvlf
    volumes.kubernetes.io/controller-managed-attach-detach: "true"
    windowsmachineconfig.openshift.io/desired-version: 10.20.0-c83f53a
    windowsmachineconfig.openshift.io/pub-key-hash: 7c00ba8122aa764a192fe7d2d9ac4d3627b9c443c09480b18c055c2e178a6019
    windowsmachineconfig.openshift.io/username: wx4EBwMIlah77+tmCXdg7R6QbRBmUqX78f2/jEvqN43S5QFy8xxov0O+IP7dfrqw<wmcoMarker>F+KFo9thf9RbJ76DI0bK8MNl5GwTBRyR5LCR95fLCZSn7vHiSU+AVuHs5OCHAA==<wmcoMarker>=Z71D
    windowsmachineconfig.openshift.io/version: 10.20.0-c83f53a
  creationTimestamp: "2025-09-02T16:28:21Z"
  labels:
    beta.kubernetes.io/arch: amd64
    beta.kubernetes.io/os: windows
    kubernetes.io/arch: amd64
    kubernetes.io/hostname: winbyoh-6kvlf
    kubernetes.io/os: windows
    node-role.kubernetes.io/worker: ""
    node.kubernetes.io/instance-type: Standard_D2s_v3
    node.kubernetes.io/windows-build: 10.0.17763
    node.openshift.io/os_id: Windows
    topology.kubernetes.io/region: eastus
    topology.kubernetes.io/zone: eastus-2
    windowsmachineconfig.openshift.io/byoh: "true"
  name: winbyoh-6kvlf
  resourceVersion: "36591"
  uid: 31c33ad2-ca2a-48ba-bd1a-704d183be3a8
spec:
  providerID: azure:///subscriptions/5f675811-04fa-483f-9709-ffd8a9da03f0/resourceGroups/jvaldes-6k5vc-rg/providers/Microsoft.Compute/virtualMachines/winbyoh-6kvlf
  taints:
  - effect: NoSchedule
    key: os
    value: Windows
status:
  addresses:
  - address: 10.0.128.6
    type: InternalIP
  - address: winbyoh-6kvlf
    type: Hostname
  allocatable:
    cpu: 1500m
    ephemeral-storage: "27444480772"
    memory: 6290996Ki
    pods: "250"
  capacity:
    cpu: "2"
    ephemeral-storage: 30944252Ki
    memory: 8388148Ki
    pods: "250"
  conditions:
  - lastHeartbeatTime: "2025-09-02T17:15:26Z"
    lastTransitionTime: "2025-09-02T16:28:21Z"
    message: kubelet has sufficient memory available
    reason: KubeletHasSufficientMemory
    status: "False"
    type: MemoryPressure
  - lastHeartbeatTime: "2025-09-02T17:15:26Z"
    lastTransitionTime: "2025-09-02T16:28:21Z"
    message: kubelet has no disk pressure
    reason: KubeletHasNoDiskPressure
    status: "False"
    type: DiskPressure
  - lastHeartbeatTime: "2025-09-02T17:15:26Z"
    lastTransitionTime: "2025-09-02T16:28:21Z"
    message: kubelet has sufficient PID available
    reason: KubeletHasSufficientPID
    status: "False"
    type: PIDPressure
  - lastHeartbeatTime: "2025-09-02T17:15:26Z"
    lastTransitionTime: "2025-09-02T16:29:37Z"
    message: kubelet is posting ready status
    reason: KubeletReady
    status: "True"
    type: Ready
  daemonEndpoints:
    kubeletEndpoint:
      Port: 10250
  nodeInfo:
    architecture: amd64
    bootID: "6"
    containerRuntimeVersion: containerd://1.7.27
    kernelVersion: 10.0.17763.6293
    kubeProxyVersion: ""
    kubeletVersion: v1.33.3
    machineID: winbyoh-6kvlf
    operatingSystem: windows
    osImage: Windows Server 2019 Datacenter
    systemUUID: 5668A78D-10DC-4AE7-9EE3-85D3866B6F3E
